#!/usr/bin/perl -w
#
# WardenClientConf.pm
#
# Copyright (C) 2011-2012 Cesnet z.s.p.o
#
# Use of this source is governed by a BSD-style license, see LICENSE file.  

package WardenClientConf;

use strict;

our $VERSION = "2.0";

#-------------------------------------------------------------------------------
# loadConf - load variables from configuration file
#-------------------------------------------------------------------------------
sub loadConf
{
  my $conf_file = shift;

  # preset of default variables
  our $URI = undef;
  our $SSL_KEY_FILE = undef;
  our $SSL_CERT_FILE = undef;
  our $SSL_CA_FILE = undef;
  our $MAX_RCV_EVENTS_LIMIT = undef;
  our $LOG_STDERR = 0;
  our $LOG_SYSLOG = 0;
  our $LOG_SYSLOG_FACILITY = "local7";
  our $LOG_VERBOSE = 0;

  # load set variables by user
  unless (do $conf_file) {
    die("Errors in config file '$conf_file': $@") if $@;
    die("Can't read config file '$conf_file': $!") unless defined $_;
    # if $_ defined, it's retvalue of last statement of conf, for which we don't care
  }

  return ($URI, $SSL_KEY_FILE, $SSL_CERT_FILE, $SSL_CA_FILE, $MAX_RCV_EVENTS_LIMIT, $LOG_STDERR, $LOG_SYSLOG, $LOG_SYSLOG_FACILITY, $LOG_VERBOSE);

} # End of loadConf
1;
